import { BaseEntity } from '@cool-midway/core';
import { Column, Entity } from 'typeorm';

/**
 * 流程日志
 */
@Entity('flow_log')
export class FlowLogEntity extends BaseEntity {
  @Column({ comment: '流程ID' })
  flowId: number;

  @Column({ comment: '类型 0-失败 1-成功 2-未知', default: 0 })
  type: number;

  @Column({ comment: '传入参数', type: 'json', nullable: true })
  inputParams: any;

  @Column({ comment: '结果', type: 'json', nullable: true })
  result: any;

  @Column({ comment: '节点运行信息', type: 'json', nullable: true })
  nodeInfo: any[];
}
